## CamelOfflineStore

CamelOfflineStore

## Functions

gboolean | camel_offline_store_get_online ()
gboolean | camel_offline_store_set_online_sync ()
gboolean | camel_offline_store_prepare_for_offline_sync ()
gboolean | camel_offline_store_requires_downsync ()

## Properties

gboolean | online | Read

## Types and Values

struct | CamelOfflineStore

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelService
                ╰── CamelStore
                    ╰── CamelOfflineStore
                        ├── CamelIMAPXStore
                        ╰── CamelNNTPStore

## Implemented Interfaces

CamelOfflineStore implements GInitable.

## Description

## Functions

### camel_offline_store_get_online ()

    gboolean
    camel_offline_store_get_online (CamelOfflineStore *store);

Returns `TRUE` if `store` is online.

#### Parameters

store | a CamelOfflineStore |

Since 2.24

### camel_offline_store_set_online_sync ()

    gboolean
    camel_offline_store_set_online_sync (CamelOfflineStore *store,
                                         gboolean online,
                                         GCancellable *cancellable,
                                         GError **error);

Sets the online/offline state of `store` according to `online` .

#### Parameters

store | a CamelOfflineStore |
online | `TRUE` for online, `FALSE` for offline |
cancellable | optional GCancellable object, or `NULL` |
error | return location for a GError, or `NULL` |

### camel_offline_store_prepare_for_offline_sync ()

    gboolean
    camel_offline_store_prepare_for_offline_sync
                                   (CamelOfflineStore *store,
                                    GCancellable *cancellable,
                                    GError **error);

Since 2.22

### camel_offline_store_requires_downsync ()

    gboolean
    camel_offline_store_requires_downsync (CamelOfflineStore *store);

Check whether the `store` requires synchronization for offline usage. This is not blocking, it only checks settings on the store and its currently opened folders.

Returns `TRUE` if the `store` requires synchronization for offline usage

#### Parameters

store | a CamelOfflineStore |

Since 3.12

## Types and Values

### struct CamelOfflineStore

    struct CamelOfflineStore;

## Property Details

### The `“online”` property

      “online”                   gboolean

Whether the store is online.

Flags: Read

Default value: FALSE